#include "switches.h"

static volatile unsigned int *const switches_ptr =
  (volatile unsigned int *)0x80000200;

/**
 * @brief get state of switch
 * @param[in] sw swich identifier
 * @return switch state
 */
int switches_get_state(t_switch sw)
{
  return switches_ptr[0] >> sw & 1;
}

